Subject: [sup-talk] Exception while marking mail as read

From: [email-masked] (David Pflug)
Date: Tue, 22 Sep 2009 14:01:50 -0400

Hi there,

I'm using :next, having used the fix from :ncursesw.

I've got some unread threads that are 300+ messages long (threaded by subject) from automated processes. I did a search for is:unread and started marking them read, and saved my changes (or, at least, pressed $ while sup was chugging through the last thread). It's possible a poll started at the same time, but I can't be sure.

Here's exception.log:
--- Ferret::StateError from thread: load threads for thread-index-mode
State Error occured at <except.c>:93 in xraise
Error occured in index.c:4150 - sr_get_lazy_doc
    Document 9233 has already been deleted

/usr/lib/ruby/gems/1.8/gems/ferret-0.11.6/lib/ferret/index.rb:421:in `[]'
/usr/lib/ruby/gems/1.8/gems/ferret-0.11.6/lib/ferret/index.rb:421:in `[]'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/ferret-0.11.6/lib/ferret/index.rb:413:in `[]'
./lib/sup/ferret_index.rb:163:in `each_id_by_date'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
./lib/sup/ferret_index.rb:163:in `each_id_by_date'
./lib/sup/ferret_index.rb:162:in `each'
./lib/sup/ferret_index.rb:162:in `each_id_by_date'
./lib/sup/thread.rb:328:in `load_n_threads'
./lib/sup/modes/thread-index-mode.rb:625:in `__unprotected_load_n_threads'
(eval):12:in `load_n_threads'
./lib/sup/modes/thread-index-mode.rb:609:in `load_n_threads_background'
./lib/sup.rb:77:in `reporting_thread'
./lib/sup.rb:75:in `initialize'
./lib/sup.rb:75:in `new'
./lib/sup.rb:75:in `reporting_thread'
./lib/sup/modes/thread-index-mode.rb:608:in `load_n_threads_background'
./lib/sup/modes/thread-index-mode.rb:679:in `__unprotected_load_threads'
(eval):12:in `load_threads'
./lib/sup/modes/thread-index-mode.rb:81:in `initialize'
./lib/sup/modes/line-cursor-mode.rb:22:in `call'
./lib/sup/modes/line-cursor-mode.rb:22:in `initialize'
./lib/sup/modes/line-cursor-mode.rb:22:in `each'
./lib/sup/modes/line-cursor-mode.rb:22:in `initialize'
./lib/sup/modes/line-cursor-mode.rb:19:in `new'
./lib/sup/modes/line-cursor-mode.rb:19:in `initialize'
./lib/sup/modes/thread-index-mode.rb:54:in `initialize'
./lib/sup/modes/search-results-mode.rb:6:in `initialize'
./lib/sup/modes/search-results-mode.rb:30:in `new'
./lib/sup/modes/search-results-mode.rb:30:in `spawn_from_query'
bin/sup:270

Regards,
David
-- 
David Pflug
System Technician
Hostdime.com, Inc.